#!/bin/bash

SCRIPTS=/scratch/rjansen/tmodel/code/shadow/src/tools
SCRIPTS2=/scratch/rjansen/tmodel/code/shadow-plugin-tor/tools
export PATH="${SCRIPTS}:${SCRIPTS2}:${PATH}"

EXPNAME=$(basename `pwd`) 

mv shadow.config.xml conf/.
tar caf conf.tar.xz conf
rm -rf conf
tar caf shadow.data.template.tar.xz shadow.data.template
rm -rf shadow.data.template
xz dstat.log
mv dstat.log* shadow.data/.
mv shadow.log* shadow.data/.

cd shadow.data
mkdir consensi
cp hosts/4uthority1/cached-consensus* consensi
tar caf consensi.tar.xz consensi
rm -rf consensi
cp -R hosts/torflowauthority .
tar caf torflowauthority.tar.xz torflowauthority
rm -rf torflowauthority
tar cf - hosts/ | xz -T 0 > hosts.tar.xz
cd ..

#xzcat shadow.data/shadow.log.xz | pypy ${SCRIPTS}/parse-shadow.py -m 0 -
pypy ${SCRIPTS}/parse-tgen.py -m 0 shadow.data/hosts
pypy ${SCRIPTS2}/parse-torctl.py -m 0 shadow.data/hosts

python ${SCRIPTS}/plot-shadow.py -s 1800 -d . test

#rm -rf shadow.data/hosts

echo "post-processing complete in "`pwd`
